##############################################################################
# This file is the system-wide dosemu.conf or the per-user ~/.dosemurc,
# included by global.conf or dosemu.bin.
#
# ./doc/README.txt (chapter 2.) contains a description of the syntax
# and the usage of dosemu.conf and .dosemurc.
#
# The commented-out values are defaults, here for documentation purposes
# only. Options marked [priv] cannot be changed in ~/.dosemurc.
#
# (optional) access rights are defined in
#
#      /etc/dosemu/dosemu.users or /etc/dosemu.users
#
##############################################################################

# Notes for editing this file:
#
#   In    $_xxx = (n)    n is a numerical or boolean value
#                  =     =
#   In    $_zzz = "s"    s is a string
#
# Please note that all options are commented out by default!
# Remove the # in front of the $ to change an option.

# Path to the local directory.
# Note: this option is only valid in global config file.
# Default: "~/.dosemu"

# $_local_dir = "~/.dosemu"

# Name of the local config file under local directory.
# Note: this option is only valid in global config file.
# Default: "dosemurc"

# $_dosemurc = "dosemurc"

##############################################################################
## CPU settings: define the CPU features to DOSEMU.

# CPU shown to DOS, valid values:  "80[23456]86"
# Default: 80586

# $_cpu = "80586"

# Select cpu virtualization mode.
# "vm86" - use v86 mode via vm86() syscall. Only available on x86-32.
# "kvm" - use KVM, hardware-assisted in-kernel virtual machine.
# "emulated" - use CPU emulator
# "auto" - select whatever works
# Default: "auto"

# $_cpu_vm = "auto"

# Select cpu virtualization mode for DPMI.
# "native" - use native LDT via modify_ldt() syscall
# "kvm" - use KVM, hardware-assisted in-kernel virtual machine
# "emulated" - use CPU emulator
# "auto" - select whatever works
# Default: "auto"

# $_cpu_vm_dpmi = "auto"

# CPU emulation mode (if enabled).
# 0 - jit; 1 - interpreter
# jit is faster, interpreter is probably more compatible.
# Default: 0

# $_cpuemu = (0)

# CPU speed, used in conjunction with the TSC
# Default 0 = calibrated by dosemu, else given (e.g.166.666)

# $_cpuspeed = (0)

# emulated FPU, (off) or (on), default = (on)

# $_mathco = (on)

# ignore floating point exceptions, (off) or (on), default = (off)
# this helps for e.g. ipp540s which FPEs on CPUs that are fast enough

# $_ignore_fpe = (off)

# 0 = all CPU power to DOSEMU; default = 1 = nicest, then higher:more CPU power

# $_hogthreshold = (1)

##############################################################################
## Disk and file system settings

# List of hdimages or directories under ~/.dosemu, or specified
# with an absolute path.
#
# For older versions of MS-DOS and PC-DOS you may want to limit the size of
# any directory-mode virtual disks, or the OS may fail to recognise them:
# /path/to/dir:hdtype1 - creates 10mb IBM type1 disk with C/H/S of 306/4/17
# /path/to/dir:hdtype2 - creates 21mb IBM type2 disk with C/H/S of 615/4/17
# /path/to/dir:hdtype9 - creates 117mb IBM type9 disk with C/H/S of 900/15/17
#
# You can reference the pre-defined path groups with '+' sign followed
# by the number of the group. Currently the following groups are defined:
#   Group 0: user's main drives. This group consists of just one path that
#     should normally be mapped to drive C. You can omit that group if you
#     want to map your own directory to drive C.
#   Group 1: utility/configs & boot drives. This group includes multiple
#     paths that you can map to any drive letters. This group provides the
#     boot files, dosemu-specific drivers and utilities, and the shell.
#   Group 2: utility/configs drive only. This is for non-default setups
#     where DOS was manually installed to drive C, and boot drives are
#     not needed.
# Warning: You need to map group 1 or the boot may fail.
#
# Example: "+0 drives/* +1" means assign group 0 path to drive C,
# then map the content of ~/.dosemu/drives, then map group 1 to
# the consecutive drive letters.
# dosemu1-compatible setup may look like "drives/*".
#
# Some drive letters can be skipped during boot, for example if you
# want to redirect them later. Use '-' sign followed by the amount
# of drive letters to skip.
# Example: "+0 -2 +1" means assign group 0 path to drive C, skip 2
# letters (D, E), then map group 1.
# Note that letter skipping only works correctly with fdpp.
#
# Folders can be mapped to drive letters using full paths.
# Example: "+0 /home/<USERNAME> drives/* -3 +1" means
# assign group 0 to drive C; assign your Home folder to drive D; 
# assign folders in ~/.dosemu/drives to drive letters (for example,
# ~/.dosemu/drives/drive_e and ~/.dosemu/drives/drive_f will be 
# E and F); skip 3 letters (G, H, I); map group 1 to J, K, and L.
#
# Default: "+0 +1" (map both groups of paths to the consecutive drives)

# $_hdimage = "+0 +1"

# Floppy drives.
# May be set up to directory or to /dev/fdX device node.
# Optionally the device type may be appended, such as
# "/dev/fd0:threeinch".
# A directory can be used as a read-only virtual floppy: "floppy_dir:threeinch",
# in which case $HOME/.dosemu/floppy_dir will be used as a floppy image.
# To boot from a floppy, use "boot" keyword, such as:
# $_floppy_a = "dos33.img:boot"
# Note that $_bootdrive overrides the floppy boot flag.
#
# Default: "/dev/fd0:threeinch" for A:, "" for B:

# $_floppy_a = "/dev/fd0:threeinch"
# $_floppy_b = ""

# select the boot drive
# Default: "" (which means auto, finds the first bootable drive)

# $_bootdrive = ""

# swap drives the way the bootdrive to become C
# Needed for DOSes that can't boot from anything other than C drive.
# Default: off

# $_swap_bootdrive = (off)

# list of host directories to present as DOS drives.
# These drives are "light-weight": they cannot be used for boot-up and
# do not take the precious start-up time to create ($_hdimage directory
# drives can take noticeable start-up time).
# You can use the "dir:flag" syntax for some extra functionality.
# The following flags are defined:
# "r" - drive will be read-only.
# "c" - drive will emulate a cdrom.
# "g" - define a group of dynamic drives for removable medias.
#
# Example: $_hostfs_drives = "~/dos /run/media/$USER:g"
#   creates the DOS drive for $HOME/dos and a drive group for
#   removable medias at /run/media/$USER.
# It is recommended to put drive groups at the end of the list.
#
# Default: "" (disabled for security reasons)

# $_hostfs_drives = ""

# List of CDROM devices. Up to 4 are supported.
# Note: image files are not supported yet, but see $_hostfs_drives above.
# Default: "" (means auto, usually /dev/cdrom)

# $_cdrom = ""

# list of generic SCSI devices to make available for the builtin aspi driver
# (format of an entry is 'device:type:mappedtarget' such as
# "sg2:WORM sg3:Sequential-Access:6 sg4:CD-ROM" or
# "sg2:4 sg3:1:6 sg4:5" (which are equal). Default: ""

# $_aspi = ""

# Some dumb programs probe the file lock limit by applying locks
# in a loop and checking for an error. The unlimited amount of
# file locks causes such probe to loop infinitely.
# To avoid that, we set the maximum allowed locks number to 1024.
# Note that this is just a work-around: the limit is not strictly
# enforced and the DOS program can exceed it if it tries hard enough.
# 0 means unlimited.

# $_file_lock_limit = (1024)

# enable/disable long filename support for lredired drives;
# default: on

# $_lfn_support = (on)

# set interrupt hooks
# Interrupt hooks are needed to work with third-party DOSes
# and provide various services to them, like direct host FS access.
# With FDPP this option can be safely disabled.
# With other DOSes, enable this and make sure you have
# emufs.sys loaded via config.sys.
# default: auto

# $_set_int_hooks = (auto)

# force interrupt revectoring
# Use legacy interrupt revector technique to install interrupt hooks.
# You don't need this if you have emufs.sys loaded via config.sys, and
# you don't this if you use FDPP.
# default: auto

# $_force_int_revect = (auto)

# trace interrupt returns
# Improves the logging of some interrupts execution (int21 mainly).
# You don't need this unless you are debugging some DOS calls.

# $_trace_irets = (off)

# try to enable FS redirector even if it wasn't loaded in config.sys
# default: on

# $_force_fs_redirect = (on)

# config.sys   -> config.XXX; default="" or 3 char.,

# $_emusys = ""

##############################################################################
## Memory settings

# conventional DOS memory size, in Kbytes, <= 768.
# Default: 640

# $_dosmem = (640)

# Extended Memory size. This memory is accessible via int15h and can be
# used by himem.sys.
# Default: 8192 (8Mb)

# $_ext_mem = (8192)

# XMS (internal driver) is only needed if you do not load
# himem.sys or another external XMS driver. Size in Kbytes.
# Default: 16384 (16Mb)

# $_xms = (16384)

# Enable 64K UMB at 0xa0000.
# This is where the VGA graphics memory resides, so enabling this UMB
# will leave you with text mode only.
# Default: auto (enabled only if dosemu runs in text mode)

# $_umb_a0 = (auto)

# Enable 32K UMB at 0xb0000.
# This is where the MDA text memory used to reside, so some programs
# write to that area without hesitation. Therefore it is rather risky
# to enable that UMB: beware even of ansi.sys!
# Default: auto (means: enable only for dumb video mode)

# $_umb_b0 = (auto)

# Enable 32K UMB at 0xb8000.
# This is the text-mode video memory.
# It can be used as UMB only in dumb video mode.
# Use "auto" to get it enabled in that mode.
# And even in that case only few well-behaved programs will work.
# Default: off

# $_umb_b8 = (off)

# Enable 16K UMB at 0xf0000.
# This is where normally a read-only BIOS resides but the DOSEMU BIOS does
# not need it. Some (very few) programs rely on this memory being read-only
# (Prehistorik 2); to run such programs, disable this option.
# Default: on

# $_umb_f0 = (on)

# Enable HMA usage and a20 gating.
# HMA is the ~64K area above 1Mb of RAM.
# Default: on

# $_hma = (on)

# Load DOS kernel to upper memory (UMB or HMA).
# 0 or off means load low, 1 means UMB, 2 means UMB+HMA.
# This gives more free conventional memory but may lead to incompatibilities.
# You can freely disable that option and most of the DOS memory will remain
# in UMB nevertheless (given the proper config.sys).
# Note: only relevant for fdpp.
# Default: 1 (use only UMB, minor incompatibilities)

# $_dos_up = (1)

# EMS (expanded memory) size in Kbytes;
# Warning: disabling EMS (off) is not recommended. Doing so will
# give you the additional 64K of UMB space, but as a side-effect
# it will also disable the protected mode DOS API translator,
# making many protected-mode apps to crash.
# Default: 8192

# $_ems = (8192)

# DOS segment in UMA where the EMS frame is put.
# Default: 0xe000

# $_ems_frame = (0xe000)

# the amount of EMS-mappable pages in UMA.
# Possible values: 0 to 12
# Default: 4

# $_ems_uma_pages = (4)

# the amount of EMS-mappable pages in conventional memory.
# Possible values: 0 to 24
# Default: 24

# $_ems_conv_pages = (24)

# DPMI memory size in Kbytes
# Default: 0x20000 (128Mb)

# $_dpmi = (0x20000)

# DPMI base address
# Note that large values, like 512Mb, may exhaust the address space
# on 32bit systems.
# Default: 0x8000000 (at 128Mb)

# $_dpmi_base = (0x8000000)

# Some DJGPP-compiled programs have the NULL pointer dereference bugs.
# They may work under Windows or QDPMI as these unfortunately do not
# prevent that kind of errors.
# If you want dosemu to act properly and prevent NULL pointer accesses,
# disable this compatibility option.
# Default: on

# $_ignore_djgpp_null_derefs = (on)

##############################################################################
## Debug settings

# debug switches; same format as -D commandline option, default: ""="-a+cw".
# (but without the -D in front), normally written to ~/.dosemu/boot.log

# $_debug = "-a+cw"

# which i/o ports to trace (only displayed if you also use -D+T)
# see $_ports below for the syntax

# $_trace_ports = ""

# which memory mapped i/o addresses to trace (only displayed if you also use -D+F)
# list of addresses such as "0xA0000 0xB0000 0xFFFFF" or
# "0xA0000 range 0xB0000 0xB0FFF"

# $_trace_mmio = ""

##############################################################################
## Dosemu-specific hacks

# choose the time source for the RTC emulation. Possible values:
# "pit", "bios" and "linux". The "linux" time source will follow
# the system time changes, but it doesn't allow to set the time
# from DOS. "bios" time source is monotonous (will not follow
# the system time changes), but allows you to set time from DOS.

# $_timemode = "bios"

# set this to some positive value (eg. Default: 10)
# if you want to play Doom or Duke3D with sound.

# $_cli_timeout = (10)

# apply some tweaks on emulated timers to make some old games more reliable.
# See tweaks.html for more info.

# $_timer_tweaks = (off)

##############################################################################
## Terminal related settings

# Character set used externally to dosemu
# Default: "" == use the character set from the locale or else:
# "cp437", "cp737", "cp773", "cp775", "cp850", "cp852", "cp857", "cp860",
# "cp861", "cp862", "cp863", "cp864", "cp865", "cp866", "cp869", "cp874",
# "cp1125", "cp1251"
# "iso8859-1", "iso8859-2", "iso8859-3", "iso8859-4", "iso8859-5", "iso8859-6",
# "iso8859-7", "iso8859-8", "iso8859_9", "iso8859-14", "iso8859-15", "koi8-r"
# "koi8-u", "koi8-ru", "utf8"

# $_external_char_set = ""

# Character set used by dos programs
# Default: "" == use "cp437" or else:
# "cp437", "cp737", "cp773", "cp775", "cp850", "cp852", "cp857", "cp860",
# "cp861", "cp862", "cp863", "cp864", "cp865", "cp866", "cp869", "cp874",
# "cp895", "cp1125", "cp1251", "bg-mik"

# $_internal_char_set = ""

# terminal with color support. Default: (on)

# $_term_color = (on)

# set terminal size on start-up.
# Example value: "80x25"
# Default: "" (which means, use current terminal size)

# $_fixed_term_size = ""

# xterm, putty and compatibles window title. Default: %s - DOSEMU
# where %s is the DOS program's name. Use "" to not change the title

# $_xterm_title = "%s - dosemu2"

##############################################################################
## Keyboard related settings

# Keyboard layout
# default: 'auto' (which tries to generate the table from
# the current Linux console settings)
# or the list of: finnish(-latin1), de(-latin1), be, it, us, uk, dk(-latin1),
# keyb-no, no-latin1, dvorak, pl, po, sg(-latin1), fr(-latin1), sf(-latin1),
# es(-latin1), sw, hu(-latin2), hu-cwi, keyb-user, hr-cp852, hr-latin2,
# cz-qwerty, cz-qwertz, ru, tr.
# No more than 2 layouts can be specified, for example: "us,ru"

# $_layout = "auto"

# bypass normal keyboard input on the Linux console, maybe dangerous
# default: (auto), use only with -s or -k, or (0): off, use -k, or (1): on.

# $_rawkeyboard = (auto)

# 30 == Ctrl-^ (Ctrl-6 on US keyboards), special-sequence prefix for terminals
# use Ctrl-^ h for help

# $_escchar = (30)

##############################################################################
## Mouse settings

# Use internal mouse driver. Default = (on).

# $_mouse_internal = (on)

# Mouse protocol: one of (microsoft, mousesystems, logitech, mmseries,
# mouseman, hitachi, busmouse, ps2, imps2).
# Default: "ps2"

# $_mouse = "ps2"

# Mouse device: if you want to use the internal mouse driver, you can give
# the real mouse device such as "/dev/input/mice", "/dev/mouse", "/dev/psaux"
# (for PS/2), or "/dev/gpmdata" (for GPM repeater usage).
# If you intend to use dosemu-dedicated serial mouse, set this to "comX"
# rather than "/dev/ttySx" because the serial port needs a special mouse
# backend.
# "" means: do not read the mouse device directly (no mouse in
# console "$_graphics=(1)" mode, but GPM can still be used in other modes).
# Default: "/dev/input/mice"

# $_mouse_dev = "/dev/input/mice"

# Default: "" or one or more of: "emulate3buttons cleardtr"

# $_mouse_flags = ""

# baudrate, default: 0 == don't set

# $_mouse_baud = (0)

# alternative behaviour in ungrabbed mode
# May fix some problems with cursor positioning, but enabling mouse
# grab is always more reliable.
# Default: off

# $_mouse_ungrab_tweak = (off)

##############################################################################
## Joystick config

# 1st and 2nd joystick device
# e.g. "/dev/input/js0" or default: "/dev/input/js0 /dev/input/js1"
#      (or "" if you don't want joystick support)

# $_joy_device = "/dev/input/js0 /dev/input/js1"

# range for joystick axis readings, must be > 0, default: 1

# $_joy_dos_min = (1)

# avoid setting the maximum to > 250, default: 150

# $_joy_dos_max = (150)

# the higher, the less sensitive - useful if you have a wobbly joystick.
# default: 1

# $_joy_granularity = (1)

# delay between nonblocking linux joystick reads increases performance if >0
# and processor>=Pentium recommended: 1-50ms or 0 if unsure. default: 1

# $_joy_latency = (1)

##############################################################################
## Serial port settings

# use e.g. "/dev/mouse", "/dev/ttyS0", "/dev/ttyS1", ...
#
# All "/dev/ttyXX" may be suffixed by the IRQ
# used (instead of the default one), such as "/dev/ttyS2 irq 5"
# or "/dev/ttyS3 irq 9".
# Note: you can use any file here, eg fifo or even a regular file.
# In case of reading a regular file, don't forget to put ^Z (0x1a)
# at the end or there will be no EOF.
#
# "pseudo" keyword may be used to force the pseudo-TTY mode.
# A wrong but quick way to bypass the hardware flow control.
#
# "rtscts" keyword may be used as a wrong but quick way to enforce the
# hardware flow control.
#
# "virtual" keyword may be used to redirect the COM port to the terminal.
# A wrong but quick way for the sysop to play his BBS door games locally.
#
# "exec '<command>'" execute command <command> and pipe it to the serial port.
# For example "exec rxvt -pty-fd 0" launches rxvt that can communicate
# with that serial port. Can also be used to play door games locally.
#
# "pts <name>" create pts <name> and attach its pty to serial port.
# For example "pts /tmp/com1" creates /tmp/com1 for communicating
# with the serial port.
#
# "mouse" keyword enables the serial mouse emulation on the specified port.
# You can then use native mouse driver, like mouse.com.
# Note: if you configured this as a second mouse ($_mouse_internal = (on)),
# then this secondary serial mouse will use the device specified in
## $_mouse_dev. In that case the primary mouse source should be device-less,
# i.e. SDL, X, xterm, gpm. The configurations with 2 device-less mices
# or with 2 mices both reading different devices are not supported.
#
# "vmodem" keyword enables the modem emulation on the specified port.
# You can then dial to the IP addresses, which will establish the telnet
# connection.
#
# "nullmodem <port_num>" - connect this port to port <port_num> with a
# null-modem cable. You need to also set up port <port_num> and connect
# it to this port the same way.
#
# "ro" - read-only. Write to the port is ignored unless the option below
# is set.
#
# "wrfile <file_name>" - use file <file_name> for com port output.
#
# Default: ""

# $_com1 = ""
# $_com2 = ""
# $_com3 = ""
# $_com4 = ""

# $_com5 = ""
# $_com6 = ""
# $_com7 = ""
# $_com8 = ""
# $_com9 = ""
# $_com10 = ""
# $_com11 = ""
# $_com12 = ""
# $_com13 = ""
# $_com14 = ""
# $_com15 = ""
# $_com16 = ""

# tty lock directory. Empty string "" means no tty locks.
# default: ""

# $_ttylocks = ""

##############################################################################
## Printer and parallel port settings

# Print commands to use for LPT1, LPT2 and LPT3.
# Default: "lpr -l", "lpr -l -P lpt2", and "" (disabled)
# Which means: use the default print queue for LPT1, "lpt2" queue for LPT2.
# "-l" means raw printing mode (no preprocessing).
# Use "direct /dev/lpX" to print directly to /dev/lpX.
# Accessing /dev/lpX may also be tried with an LPT dongle.
# "lpr -P PDF" requires installation of cups-pdf and PostScript output
# from DOS application.

# $_lpt1 = "lpr -l"
# $_lpt2 = "lpr -P PDF"
# $_lpt3 = ""
# $_lpt4 = ""
# $_lpt5 = ""
# $_lpt6 = ""
# $_lpt7 = ""
# $_lpt8 = ""
# $_lpt9 = ""

# idle time in seconds before spooling out. Default: (3)

# $_printer_timeout = (3)

##############################################################################
## Speaker and sound settings

# speaker: default: "emulated", or "native" (console only) or "" (off)

# $_speaker = "off"

# sound support

# $_sound = (on)

# (emulated!) Sound Blaster base i/o port, default: (0x220)

# $_sb_base = (0x220)

# Sound Blaster IRQ setting, default: (5)

# $_sb_irq = (5)

# Sound Blaster 8 bit DMA setting, default: (1)

# $_sb_dma = (1)

# Sound Blaster 16 bit DMA setting, default: (5)

# $_sb_hdma = (5)

# MPU-401 base i/o port

# $_mpu_base = (0x300)

# MT32 MPU-401 base i/o port

# $_mpu_base_mt32 = (0x330)

# MIDI synth mode for MPU-401 at $_mpu_base_mt32
# Supported values: "gm", "mt32"
# Default: "mt32"

# $_midi_synth = "mt32"

# MPU-401 irq for GM synth mode
# Default: auto (which is equal to $_sb_irq)

# $_mpu_irq = (auto)

# MPU-401 irq for mt32 synth mode
# Default: 9

# $_mpu_irq_mt32 = (9)

# Sound output driver.
# Supported drivers: ao, sdl (if compiled in)
# Default: "" (which means auto)

# $_sound_driver = ""

# MIDI output drivers.
# Comma-separated list of midi drivers to enable.
# Supported GM drivers:
#   fluid, timidity, alsa_midi, oss_midi, pipe_midi
# Supported MT-32 drivers:
#   munt, alsa_virmidi
# It is better to specify 2 drivers at once, one for GM and one for MT-32.
# Example: "alsa_midi,alsa_virmidi"
# Default: "" (which means auto)
# Note: if you use $_wav_file option to record the sound and want
# the rendered midi to also be recorded there, you need to select
# either "fluid" or "timidity" here. Unfortunately, most existing
# versions of fluidsynth and timidity are incompatible with dosemu.

# $_midi_driver = ""

# fluidsynth soundfont path

# $_fluid_sfont = ""

# fluidsynth volume
# Values: 0 to 10 (larger than 10 is possible but results in distortion)
# Default: 6

# $_fluid_volume = (6)

# munt ROMs path.
# Path to munt ROM files.
# Default: "~/.munt_roms"

# $_munt_roms = "~/.munt_roms"

# opl2lpt device name.
# Example: "parport0" will use /dev/parport0
# Default: "" (disabled)

# $_opl2lpt_dev = ""

# opl2lpt device type.
# "opl2" or "opl3".
# Default: "opl2"

# $_opl2lpt_type = "opl2"

# Sound and MIDI plugin parameters.
# Syntax: plugin1:param1=val1 plugin2:param2=val2..."
# Description: dosemu implements many sound and midi plugins.
# Some of them may be selected with the $_sound_driver and $_midi_driver
# options above; some are managed by dosemu automatically.
# This option allows to pass the parameters to any of them.
# Example: "alsa_virmidi:dev_name=munt"
# If your /etc/asound.conf doesn't define the rawmidi device index,
# you can set it like in this example:
# Example: "alsa_midi:dev_name=hw:3,0 alsa_virmidi:dev_name=hw:3,1"
# You can disable some plugins this way: "alsa_virmidi:enabled=0"
# Default: ""

# $_snd_plugin_params = ""

# PCM high-pass filter.
# It is needed for better integration with the desktop sound stack.
# In some cases pulseaudio may not be able to properly mix dosemu's
# sound stream with the desktop sounds, so your mp3 music may be
# silenced or distorted while you are playing some DOS game.
# This filter helps pulseaudio to do its work properly.
# With some volume settings and some pulseaudio versions this filter
# is needed even if dosemu is the only active sound source.
# Default: on

# $_pcm_hpf = (on)

# midi file to capture midi music to.
# Default: ""

# $_midi_file = ""

# wav file to capture sound to.
# Note: this also captures the midi music, so you may not need
# to use the $_midi_file option above.
# Default: ""

# $_wav_file = ""

##############################################################################
## Network settings

# built-in Packet Driver. Default: on

# $_pktdriver = (on)

# built-in TCP/IP Driver. Default: on

# $_tcpdriver = (on)

# NE2000 emulation (experimental). Default: on

# $_ne2k = (on)

# Virtual networking type. "eth" for exclusive NIC access, "tap" for
# using the TAP virtual device, "vde" for vde2 and "slirp" for slirp.
# NOTE: "eth" and "tap" methods require root privileges.
# "eth" method is deprecated.
# Default: "" (auto, which tries slirp)

# $_vnet = ""

# Network device for packet driver in "eth" mode.
# Default: "eth1"

# $_ethdev = "eth1"

# Network device for packet driver in "tap" mode.
# "" (empty string) means dynamic TAP allocation, which usually requires
# root privs. The automatically created devices will have the names
# dosemu_tapN where N is a number.
# Default: "tap0"

# $_tapdev = "tap0"

# Network daemon socket name (for passt mainly).
# Set to "/tmp/passt_1.socket" to use with passt.
# Default: ""

# $_netsock = ""

# vdeswitch socket name for packet driver in "vde" mode.
# If empty string is specified, dosemu will try to set up the VDE switch
# automatically.
# Default: ""

# $_vdeswitch = ""

# extra arguments for slirpvde. See "man slirpvde" for details.
# Default: "--dhcp"

# $_slirpargs = "--dhcp"

# use Novell 802.3 hack. Default: off

# $_novell_hack = (off)

# enable IPX support
# Use emuipx command to connect to UDP relay, otherwise native IPX
# will be assumed.
# NOTE: Native IPX needs root privileges unless you setup /proc/net/ipx_route
# in advance.
# Default: (on)

# $_ipxsupport = (on)

# IPX network address to use. One of those listed in /proc/net/ipx/interface.
# Address 0 means use the network to which the primary interface, if exist,
# is attached to.
# Default: 0

# $_ipx_network = (0)

##############################################################################
## Settings for X Window System (xdosemu, dosemu -X)
## Some apply to SDL (dosemu -S) driver as well.

# Title in the top bar of the window. Default = "DOSEMU2"

# $_X_title = "dosemu2"

# Show name of running app in the top bar of the window. Default: on

# $_X_title_show_appname = (on)

# Text for icon, when minimized. Default = "xdosemu"

# $_X_icon_name = "xdosemu"

# Start DOSEMU in fullscreen mode. Default = "off"

# $_X_fullscreen = (off)

# blink rate for the cursor

# $_X_blinkrate = (12)

# name of the X font that is used (e.g. "vga")
# dosemu provides the following fonts:
# vga vga8x19 vga11x19 vga10x24 vga12x30 vgacyr vga10x20 vga-ua vga10x20-ua
# vga8x14-cp850 vga10x20-cp850
# Default: "" (use VGA fonts)

# $_X_font = ""

# Use shared memory extensions. Faster, but problematic with remote X.
# Default: on

# $_X_mitshm = (on)

# share the colormap with other applications. Default: off

# $_X_sharecmap = (off)

# Set fixed aspect for resizing the graphics window. Default: on

# $_X_fixed_aspect = (on)

# Always use an aspect ratio of 4:3 for graphics. Default: off

# $_X_aspect_43 = (off)

# Use linear filtering for >15 bpp interpolation. Default: off

# $_X_lin_filt = (off)

# Use bi-linear filtering for >15 bpp interpolation. Default: off

# $_X_bilin_filt = (off)

# initial size factor for video mode 0x13 (320x200)

# $_X_mode13fact = (2)

# "x,y" of initial windows size (defaults to ""=float)

# $_X_winsize = ""

# gamma correction. Default: 1.0

# $_X_gamma = (1.0)

# size (in Kbytes) of the frame buffer for emulated vga. Default: 4096

# $_X_vgaemu_memsize = (4096)

# use linear frame buffer in VESA modes. Default: on

# $_X_lfb = (on)

# use protected mode interface for VESA modes. Default: on

# $_X_pm_interface = (on)

# KeySym name to activate mouse grab, ""=off. Default: "Home" (ctrl+alt+home)

# $_X_mgrab_key = "Home"

# List of vesamodes to add. The list has to contain SPACE separated
# "xres,yres" pairs, as follows: "xres,yres ... xres,yres". Default: ""

# $_X_vesamode = ""

# pause xdosemu if it loses focus

# $_X_background_pause = (off)

# Hide the Close button and disable the Close menu item

# $_X_noclose = (off)

# Disable resize by dragging window borders

# $_X_noresize = (off)

##############################################################################
## Settings specific to SDL video driver (dosemu -S)

# Use GPU-assisted rendering.
# Default: off (for better compatibility with old equipment)

# $_SDL_hwrend = (off)

# Comma-separated list of TTF fonts to use.
# Default: "Flexi IBM VGA False, Flexi IBM VGA True"

# $_SDL_fonts = "Flexi IBM VGA False, Flexi IBM VGA True"

# Show window controls.
# It is not a common need to disable them, and can be done at run-time
# by pressing Ctrl-Alt-b.
# Default: on

# $_SDL_wcontrols = (on)

# Enable native clipboard access.
# Can be toggled at run-time by pressing Ctrl-Alt-c.
# Default: off

# $_SDL_clip_native = (off)

##############################################################################
## Common video driver settings

# Force use of VGA fonts instead of native fonts.
# Try this option if some text-mode effects do not look right.
# Default: off

# $_force_vga_fonts = (off)

##############################################################################
## Direct hardware access

# NOTE: the settings below here that are marked [priv] are only valid in
# a system-wide dosemu.conf and cannot be changed by ~/.dosemurc.
# For these settings to take effect, DOSEMU must be run with root privileges;
# run it as root, via sudo, or suid with adjustments in dosemu.users,
# and using the -s switch.

# [priv] list of portnumbers such as "0x1ce 0x1cf 0x238" or
# "0x1ce range 0x280,0x29f 310" or "range 0x1a0,(0x1a0+15)". Default: ""

# $_ports = ""

# [priv] list of IRQ numbers (2-15) to pass to DOS such as "3 8 10".Default: ""
# This does not work on x86-64.

# $_irqpassing = ""

# [priv] DOS memory to map directly: list of segment values/ranges such as

# "0xc8000 range 0xcc000,0xcffff". Default: ""

# $_hardware_ram = ""

# [priv] (on): give access to the PCI configuration space.
# (auto): restricted, mostly emulated access if the video card requires it.
# Default: (auto)

# $_pci = (auto)

##############################################################################
## Console video

# The following settings apply to direct console video only (not in X)
# Many are privileged, and need suid/sudo/root and the -s switch.

# use 'console' video (direct video ram access). Default:
# (auto) -- use only if KMS is not active

# $_console = (auto)

# use the cards BIOS to set graphics and allow direct port i/o. Default:
# (auto) -- use only if KMS is not active

# $_graphics = (auto)

# Video adapter style used: one of: vga, ega, mda, mga, cga, none
# Default: "vga"; none=dumb terminal mode.

# $_video = "vga"

# [priv] run the VGA card's initialization BIOS routine (most cards don't
# need this). Default: (0)

# $_vbios_post = (0)

# [priv] set the address of your VBIOS (e.g. 0xc000, 0xe000).
# Default: (0)=autodetect.

# $_vbios_seg = (0)

# [priv] set the size of your BIOS (e.g. 0x10000, 0x8000).

# Default: (0)=autodetect.

# $_vbios_size = (0)

# [priv] amount in K of (real) video RAM to save/restore
# when switching virtual consoles. (auto) means all video RAM,
# which can take *too* long if you have a lot of the video memory.
# (off) means no video RAM saving.
# Default: 4096

# $_vmemsize = (4096)

# [priv] real chipset: one of: plainvga, svgalib, vesa
# svgalib is available only if it is compiled in.
# "vesa" will probably work; if not, try "plainvga". Default: "vesa"

# $_chipset = "vesa"

# [priv] if you have one vga _plus_ one hgc (2 monitors)

# $_dualmon = (0)

##############################################################################
## Host permissions

# list of commands (by their full paths) allowed to execute via unix.com
# Example: "/bin/ls /bin/echo" will enable commands ls and echo.
# Default: "" (host execution not allowed)

# $_unix_exec = ""

# list of paths allowed to be redirected to DOS drives with lredir.com
# Note: sub-paths of the specified paths are allowed, too.
# Note: this does not affect $_hdimage setting or redirections activated
# with -d command-line switch.
# Example: "/home/user/dos/c /home/user/dos/d"
# Note: spaces in paths are not supported, sorry.
# Note: giving full access like "/" or "/home/user" is insecure.
# Default: "" (host redirections with lredir.com not allowed)

# $_lredir_paths = ""
